#! /usr/bin/perl -wT

unless (@ARGV == 3) { die "Usage: $0 file interval length \n" }
($sourcefile, $interval, $length) = @ARGV;

unless (open SOURCE, "<", $sourcefile) {
  die "Couldn't open source file $sourcefile: $!; aborting";
}

my $buffer;
my $pos = 0;

if(open(NEW, ">sampling")){
	while (read(SOURCE, $buffer, $length)) { 
		# print each kb to the new file on the server 
		print NEW $buffer; 
		$pos+=$interval;
		seek(SOURCE, $pos, 0);
	}
	# close the new file on the server and we're done
close NEW;
}
